extends ../../includes/layout

block content
    style. 
        .btn-w{
            width:95px;
        }

        .r-15{
            margin-right:15px;
        }
        .btn-order{
            margin-bottom: 10px !important;
            width:100%;
            text-align:left;
        }
        #template-nav-header{
            display:none;
        }
        #template-header{
            display:none;
        }
        #template-footer{
            display:none;
        }
        #template-dlabnav{
            display:none;
        }

        .content-body{
            padding-top: 10px !important;
        }

        body {
            background-color: grey;
        }

        //- .card-body {
        //-     padding: 10px !important;
        //-     margin-bottom: 10px !important;
        //- }

        //- .content-body .container-fluid, .content-body .container-sm, .content-body .container-md, .content-body .container-lg, .content-body .container-xl, .content-body .container-xxl {
        //-     /* padding-top: 2.5rem; */
        //-     padding-right: 0.5rem;
        //-     padding-left: 0.5rem;
        //- }
        //- .card{
        //-         height: calc(100% - 10px) !important;
        //- }
    .row
        .col-xl-12
            .card 
                .card-body.text-center

                    input(type="hidden" name="lot_id" id="lot_id", value=lotId)  
                    input(type="hidden" name="product_id" id="product_id", value=`${product._id}`)  

                    //- h1#order_no - 0
                    h2#order_name
        .col-xl-4
            .card 
                .card-body.text-center
                    h3
                        b ราคาเปิด
                    h2#price_start -
        .col-xl-4
            .card 
                .card-body.text-center
                    h3 
                        b ราคาจบ
                    h2#price_finish -
        .col-xl-4
            .card 
                .card-body.text-center
                    h3
                        b ป้ายผู้ชนะ
                    h2#user_win -
    .row
        .col-xl-12
            .card 
                .card-body.text-center#pictures



block script
    script(src='/socket.io/socket.io.js')
    script.

        const socket = io();
        const lot_id = $('#lot_id').val()
        let product_id =  $('#product_id').val()
        let i = 0
        let x = 0
        let ref

        if(product_id!=''){
            load_product()
        }
        console.log('product_id : ',product_id)

        socket.emit("join", lot_id);

        socket.on('setBid', function(result) {
            console.log('socket : ',result.datas)
            console.log('product_win : ',result.datas.product_win)
            console.log('product_id : ',product_id)

            if(product_id!='' && product_id!=null){
                console.log('bid 0')
                if(result.datas.product_win==null || result.datas.product_win==''){
                    $('#user_win').text('-')
                    console.log('bid 1')
                }else{
                    $('#user_win').text(result.datas.product_win)
                    console.log('bid 2')
                }


                if(result.datas.product_id==product_id){
                    product_id = result.datas.product_id

                    if(result.datas.product_price_finish!=null && result.datas.product_price_finish!=''){
                        $('#price_finish').text(numberWithCommas(result.datas.product_price_finish))
                    }




                }else{

                    product_id = result.datas.product_id
                    load_product()

                }

            }

        });

        setInterval(function() {

            socket.emit("join", lot_id);
        }, 30000);


        function load_product(){
            $.ajax({
                url: "#{base_url}admin/auction/load_product",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                data:{
                    product_id:product_id
                },
                success: function (res, status, xhr) {
                    if(status=='success' && xhr.status==200 && res.result){

                        product_id = res.product._id
                        $('#order_name').text('ลำดับที่ '+res.product.orderNo +' : '+res.product.name)
                        //$('#order_name').text(res.product.name)
                        $('#price_start').text(numberWithCommas(res.product.startPrice))

                        if(res.product.finishPrice==undefined || res.product.finishPrice==''){
                            $('#price_finish').text('-')
                        }else{
                            $('#price_finish').text(numberWithCommas(res.product.finishPrice))
                        }


                        if(res.product.userWin==undefined || res.product.userWin==''){
                            $('#user_win').text('-')
                        }else{
                            $('#user_win').text(res.product.userWin)
                        }

                        $("#pictures").empty()
                        i = res.product.pictures.length


                        if(i==0){
                            $('<img src="/images/logo-auction.png" width="100%" class="pictures" id="picture-0">').appendTo("#pictures");
                        }else{
                            $(res.product.pictures).each(function(key,val){
                                console.log(key)
                                console.log(val)

                                if(key==0){
                                    $('<img src="/uploads/'+val+'" width="100%" class="pictures" id="picture-'+key+'">').appendTo("#pictures");
                                }else{
                                    $('<img src="/uploads/'+val+'" width="100%" class="pictures hide" id="picture-'+key+'">').appendTo("#pictures");
                                }


                            })
                        }



                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }
                },
                error: function (xhr, status, error) {
                    alert_error(xhr,error)
                },
            });
        }

        function numberWithCommas(x) {
            return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
        }

        clearInterval(ref);

        ref = setInterval(function() {
            $('.pictures').hide();

            $('#picture-' + x).show();
            console.log(x);
            if (x < i - 1) {
                x = x + 1;

            } else {
                x = 0;
            }

        }, 3000);        